Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.model
Class PortMapping

    java.lang.Object
      org.fourthline.cling.support.model.PortMapping

    public class PortMapping

extends Object

Author:
  Christian Bauer

Nested Class Summary
`static class` | `PortMapping.Protocol`

Constructor Summary
`PortMapping()`
`PortMapping(boolean enabled, UnsignedIntegerFourBytes leaseDurationSeconds, String remoteHost, UnsignedIntegerTwoBytes externalPort, UnsignedIntegerTwoBytes internalPort, String internalClient, PortMapping.Protocol protocol, String description)`
`PortMapping(int port, String internalClient, PortMapping.Protocol protocol)`
`PortMapping(int port, String internalClient, PortMapping.Protocol protocol, String description)`
`PortMapping(Map<String,ActionArgumentValue<Service>> map)`
`PortMapping(String remoteHost, UnsignedIntegerTwoBytes externalPort, PortMapping.Protocol protocol)`

Method Summary
`String` | `getDescription()`
`UnsignedIntegerTwoBytes` | `getExternalPort()`
`String` | `getInternalClient()`
`UnsignedIntegerTwoBytes` | `getInternalPort()`
`UnsignedIntegerFourBytes` | `getLeaseDurationSeconds()`
`PortMapping.Protocol` | `getProtocol()`
`String` | `getRemoteHost()`
`boolean` | `hasDescription()`
`boolean` | `hasRemoteHost()`
`boolean` | `isEnabled()`
`void` | `setDescription(String description)`
`void` | `setEnabled(boolean enabled)`
`void` | `setExternalPort(UnsignedIntegerTwoBytes externalPort)`
`void` | `setInternalClient(String internalClient)`
`void` | `setInternalPort(UnsignedIntegerTwoBytes internalPort)`
`void` | `setLeaseDurationSeconds(UnsignedIntegerFourBytes leaseDurationSeconds)`
`void` | `setProtocol(PortMapping.Protocol protocol)`
`void` | `setRemoteHost(String remoteHost)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortMapping

    public PortMapping()

### PortMapping

    public PortMapping(Map<String,ActionArgumentValue<Service>> map)

### PortMapping

    public PortMapping(int port,
                       String internalClient,
                       PortMapping.Protocol protocol)

### PortMapping

    public PortMapping(int port,
                       String internalClient,
                       PortMapping.Protocol protocol,
                       String description)

### PortMapping

    public PortMapping(String remoteHost,
                       UnsignedIntegerTwoBytes externalPort,
                       PortMapping.Protocol protocol)

### PortMapping

    public PortMapping(boolean enabled,
                       UnsignedIntegerFourBytes leaseDurationSeconds,
                       String remoteHost,
                       UnsignedIntegerTwoBytes externalPort,
                       UnsignedIntegerTwoBytes internalPort,
                       String internalClient,
                       PortMapping.Protocol protocol,
                       String description)

Method Detail

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

### getLeaseDurationSeconds

    public UnsignedIntegerFourBytes getLeaseDurationSeconds()

### setLeaseDurationSeconds

    public void setLeaseDurationSeconds(UnsignedIntegerFourBytes leaseDurationSeconds)

### hasRemoteHost

    public boolean hasRemoteHost()

### getRemoteHost

    public String getRemoteHost()

### setRemoteHost

    public void setRemoteHost(String remoteHost)

### getExternalPort

    public UnsignedIntegerTwoBytes getExternalPort()

### setExternalPort

    public void setExternalPort(UnsignedIntegerTwoBytes externalPort)

### getInternalPort

    public UnsignedIntegerTwoBytes getInternalPort()

### setInternalPort

    public void setInternalPort(UnsignedIntegerTwoBytes internalPort)

### getInternalClient

    public String getInternalClient()

### setInternalClient

    public void setInternalClient(String internalClient)

### getProtocol

    public PortMapping.Protocol getProtocol()

### setProtocol

    public void setProtocol(PortMapping.Protocol protocol)

### hasDescription

    public boolean hasDescription()

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.